Canva REST API reference
Analytics
Assets
Brand templates
Designs
Design imports
Get details of the current user
Returns the User ID and Team ID of the user account associated with the provided access token.
HTTP method and URL path
GET
https://api.canva.com /rest /v1 /users /meThis operation is rate limited to 10 requests per minute for each user of your app.
Authentication and authorization
This endpoint requires a valid access token and requires no specific scopes.
Header parameters
Example request
Examples for using the /v1/users/me endpoint:
curl --request GET 'https://api.canva.com/rest/v1/users/me' \--header 'Authorization: Bearer {token}'
SH
const fetch = require("node-fetch");fetch("https://api.canva.com/rest/v1/users/me", {method: "GET",headers: {"Authorization": "Bearer {token}",},}).then(async (response) => {const data = await response.json();console.log(data);}).catch(err => console.error(err));
JS
import java.io.IOException;import java.net.URI;import java.net.http.*;public class ApiExample {public static void main(String[] args) throws IOException, InterruptedException {HttpRequest request = HttpRequest.newBuilder().uri(URI.create("https://api.canva.com/rest/v1/users/me")).header("Authorization", "Bearer {token}").method("GET", HttpRequest.BodyPublishers.noBody()).build();HttpResponse<String> response = HttpClient.newHttpClient().send(request,HttpResponse.BodyHandlers.ofString());System.out.println(response.body());}}
JAVA
import requestsheaders = {"Authorization": "Bearer {token}"}response = requests.get("https://api.canva.com/rest/v1/users/me",headers=headers)print(response.json())
PY
using System.Net.Http;var client = new HttpClient();var request = new HttpRequestMessage{Method = HttpMethod.Get,RequestUri = new Uri("https://api.canva.com/rest/v1/users/me"),Headers ={{ "Authorization", "Bearer {token}" },},};using (var response = await client.SendAsync(request)){response.EnsureSuccessStatusCode();var body = await response.Content.ReadAsStringAsync();Console.WriteLine(body);};
CSHARP
package mainimport ("fmt""io""net/http")func main() {url := "https://api.canva.com/rest/v1/users/me"req, _ := http.NewRequest("GET", url, nil)req.Header.Add("Authorization", "Bearer {token}")res, _ := http.DefaultClient.Do(req)defer res.Body.Close()body, _ := io.ReadAll(res.Body)fmt.Println(string(body))}
GO
$curl = curl_init();curl_setopt_array($curl, array(CURLOPT_URL => "https://api.canva.com/rest/v1/users/me",CURLOPT_CUSTOMREQUEST => "GET",CURLOPT_RETURNTRANSFER => true,CURLOPT_HTTPHEADER => array('Authorization: Bearer {token}',),));$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if (empty($err)) {echo $response;} else {echo "Error: " . $err;}
PHP
require 'net/http'require 'uri'url = URI('https://api.canva.com/rest/v1/users/me')http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Get.new(url)request['Authorization'] = 'Bearer {token}'response = http.request(request)puts response.read_body
RUBY
Success response
If successful, the endpoint returns a 200 response with a JSON body with the following parameters:
team_userTeamUserSummaryMetadata for the user, consisting of the User ID and Team ID.
user_idstringThe ID of the user.
team_idstringThe ID of the user's Canva Team.
Example response
{"team_user": {"user_id": "auDAbliZ2rQNNOsUl5OLu","team_id": "Oi2RJILTrKk0KRhRUZozX"}}
JSON